/*********************************************************************
 * DOM֘ÃCu
 * -------------------------------------------------------------------
 * 2014/06/27 ulTCg̉^cvō쐬XNvgRs[
 * -------------------------------------------------------------------
 * Copyright(C) 2014 ASANO Sei (http://sei.qee.jp/docs/)
 *********************************************************************/
//**Start Encode**
/*********************************************************************
 * DOMvfɃCxgnhǉ
 *--------------------------------------------------------------------
 * [] element : vfIuWFNg
 *        eventName: CxgB'load'A'change'AȂ
 *        func : CxgnhƂēo^֐IuWFNg
 * [߂] Cxgnhǉłtrue
 *********************************************************************/
function dom_addEvent(element, eventName, func){
	var result = false;
	if (element.addEventListener)	{ //Firefox
		element.addEventListener(eventName, func, false);
		result = true;
	} else if (element.attachEvent) { //IE
		element.attachEvent('on' + eventName, func);
		result = true;
	}
	return result;
}
/*********************************************************************
 * w肳ꂽid܂name̗vfԂB
 *--------------------------------------------------------------------
 * [] id: vfidBnamew肷ꍇnull
 *        name: vfnameBŏ̈ΏہBidw肷ꍇnull
 * [߂] 擾vf
 *********************************************************************/
function dom_getOneElement(id, name) {
	var obj = null;
	if (id == null) {
		 if (name != null) {
		 	var list = document.getElementsByName(name);
		 	if (list.length) obj = document.getElementsByName(name)[0];
		}
	} else {
		obj = document.getElementById(id);
	}
	return obj;
}
/*********************************************************************
 * w肳ꂽSELECTvf̑I𒆂̗vfԂB
 *--------------------------------------------------------------------
 * [] id: vfidBnamew肷ꍇnull
 *        name: vfnameBŏ̈ΏہBidw肷ꍇnull
 * [߂] 擾l
 *********************************************************************/
function dom_getSelectedOption(id, name) {
	var obj = dom_getOneElement(id, name);
	if (!obj) return;
	return obj[obj.selectedIndex];
}
/*********************************************************************
 * w肳ꂽvf̎qvfS폜B
 *--------------------------------------------------------------------
 * [] id: vfidBnamew肷ꍇnull
 *        name: vfnameBŏ̈ΏہBidw肷ꍇnull
 * [߂] w肳ꂽvf
 *********************************************************************/
function dom_removeAllChildren(id, name) {
	var parent = dom_getOneElement(id, name);
	if (!parent) return;
	while (parent.firstChild) parent.removeChild(parent.firstChild);
	return parent;
}
/*********************************************************************
 * vf𐶐ĕԂB
 *--------------------------------------------------------------------
 * [] tagName : vfHTML^O
 *        param : vf̐ݒBƒl̃Zbg
 *        text : qvfɒǉeLXg
 * [߂] IuWFNg
 *********************************************************************/
function dom_generateElement(tagName, text, param) {
	var element = document.createElement(tagName);
	if (text) element.appendChild(document.createTextNode(text));
	if (param) {
		for (var name in param) {
			element[name] = param[name];
		}
	}
	return element;
}
/*-------------------------------------------------------------------*
 * OPTIONvf𐶐ĕԂB
 *--------------------------------------------------------------------
 * [] id : ΉIuWFNgid
 *        text : xƂȂ镶
 * [߂] IuWFNg
 *-------------------------------------------------------------------*/
function dom_generateOption(val, text) {
	return dom_generateElement('OPTION', text, {'value':val});
}






//ȉ͎gpɍč쐬
/*-------------------------------------------------------------------*
 * SPANvf𐶐ĕԂB
 *--------------------------------------------------------------------
 * [] text : xƂȂ镶
 *        id : id
 *        className : CSSNX
 * [߂] IuWFNg
 *-------------------------------------------------------------------*/
function dom_generateSpan(text, id, className) {
	return dom_generateElement('SPAN', text, {'id':id, 'className':className});
}
/*-------------------------------------------------------------------*
 * Avf𐶐ĕԂB
 *--------------------------------------------------------------------
 * [] text : xƂȂ镶
 *        id : id
 *        className : CSSNX
 * [߂] IuWFNg
 *-------------------------------------------------------------------*/
function dom_generateAnchor(url, text, target) {
	return dom_generateElement('A', text, {'href':url, 'target':target});
}
/*-------------------------------------------------------------------*
 * LABELvf𐶐ĕԂB
 *--------------------------------------------------------------------
 * [] id : Ήvfid
 *        text : xƂȂ镶
 * [߂] IuWFNg
 *-------------------------------------------------------------------*/
function dom_generateLabel(id, text) {
	return dom_generateElement('LABEL', text, {'htmlFor':id});
}
/*-------------------------------------------------------------------*
 * `FbN{bNX𐶐ĕԂB
 *--------------------------------------------------------------------
 * [] id : id
 *        val : l
 *        func : onchangeCxgnhp֐
 * [߂] `FbN{bNX
 *-------------------------------------------------------------------*/
function dom_generateCheckbox(id, val, func) {
	return dom_generateElement('INPUT'
		, null
		, {'type':'checkbox', 'id':id, 'value':val, 'onchange':func}
	);
}
/*-------------------------------------------------------------------*
 * WI{^𐶐ĕԂB
 *--------------------------------------------------------------------
 * [] id : id
 *        val : l
 *        func : onchangeCxgnhp֐
 * [߂] WI{^
 *-------------------------------------------------------------------*/
function dom_generateRadio(group, id, val, func) {
	return dom_generateElement('INPUT'
		, null
		, {'type':'radio', 'name':group, 'id':id, 'value':val, 'onchange':func}
	);
}
/*********************************************************************
 * w肳ꂽSELECTvf̑I𒆂̒lԂB
 *--------------------------------------------------------------------
 * [] id: vfid
 * [߂] 擾l
 *********************************************************************/
function dom_getSelectedOptionValue(id) {
	return dom_getSelectedOption(id).value;
}
/*********************************************************************
 * w肳ꂽRADIO{^̑I𒆂̒lԂB
 *--------------------------------------------------------------------
 * [] group: WI{^O[v
 * [߂] 擾l
 *********************************************************************/
function dom_getSelectedRadioValue(group) {
	for (var i=0 ; i<group.length ; i++) {
		if (group[i].checked) return group[i].value;
	}
	return null;
}
